# frozen_string_literal: true

require_relative "lib/activerecord/missing/version"

Gem::Specification.new do |spec|
  spec.name          = "activerecord-missing"
  spec.version       = ActiveRecord::Missing::VERSION
  spec.authors       = ["Yuji Hanamura"]
  spec.email         = ["yuji.developer@gmail.com"]

  spec.summary       =
    "This gem provides the functionality of ActiveRecord::QueryMethods::WhereChain#missing for Rails 6.0 and 5.x apps."
  spec.description   = spec.summary
  spec.homepage      = "https://github.com/yujideveloper/activerecord-missing"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = "https://github.com/yujideveloper/activerecord-missing/blob/master/CHANGELOG.md"

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "activerecord", ">= 5.0", "< 6.1"
  spec.add_dependency "activesupport", ">= 5.0", "< 6.1"
end
